OpenVDB: nanovdb::build Namespace Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
nanovdb::build Namespace Reference

## Classes
struct | GetState
| Implements Tree::isActive(Coord) More...
struct | GetValue
| Implements Tree::getValue(Coord), i.e. return the value associated with a specific coordinate `ijk`. More...
struct | Grid
struct | InternalNode
struct | LeafNode
struct | LeafNode< bool >
struct | LeafNode< ValueMask >
class | NodeManager
struct | ProbeValue
| Implements Tree::probeLeaf(Coord) More...
struct | RootNode
struct | SetValue
| Set the value and its state at the leaf level mapped to by ijk, and create the leaf node and branch if needed. More...
struct | TouchLeaf
struct | Tree
struct | ValueAccessor

## Typedefs
template<typename T >
using | BuildLeaf = LeafNode< T >
template<typename T >
using | BuildLower = InternalNode< BuildLeaf< T > >
template<typename T >
using | BuildUpper = InternalNode< BuildLower< T > >
template<typename T >
using | BuildRoot = RootNode< BuildUpper< T > >
template<typename T >
using | BuildTile = typename BuildRoot< T >::Tile
using | FloatGrid = Grid< float >
using | Fp4Grid = Grid< Fp4 >
using | Fp8Grid = Grid< Fp8 >
using | Fp16Grid = Grid< Fp16 >
using | FpNGrid = Grid< FpN >
using | DoubleGrid = Grid< double >
using | Int32Grid = Grid< int32_t >
using | UInt32Grid = Grid< uint32_t >
using | Int64Grid = Grid< int64_t >
using | Vec3fGrid = Grid< Vec3f >
using | Vec3dGrid = Grid< Vec3d >
using | Vec4fGrid = Grid< Vec4f >
using | Vec4dGrid = Grid< Vec4d >
using | MaskGrid = Grid< ValueMask >
using | IndexGrid = Grid< ValueIndex >
using | OnIndexGrid = Grid< ValueOnIndex >
using | BoolGrid = Grid< bool >

## Functions
template<typename NodeManagerT >
enable_if< is_floating_point< typenameNodeManagerT::ValueType >::value >::type | sdfToLevelSet (NodeManagerT &mgr)
template<typename NodeManagerT >
void | levelSetToFog (NodeManagerT &mgr, bool rebuild=true)

## Typedef Documentation

## ◆ BoolGrid

using BoolGrid = Grid<bool>

## ◆ BuildLeaf

template<typename T >

using BuildLeaf = LeafNode<T>

## ◆ BuildLower

template<typename T >

using BuildLower = InternalNode<BuildLeaf<T> >

## ◆ BuildRoot

template<typename T >

using BuildRoot = RootNode<BuildUpper<T> >

## ◆ BuildTile

template<typename T >

using BuildTile = typename BuildRoot<T>::Tile

## ◆ BuildUpper

template<typename T >

using BuildUpper = InternalNode<BuildLower<T> >

## ◆ DoubleGrid

using DoubleGrid = Grid<double>

## ◆ FloatGrid

using FloatGrid = Grid<float>

## ◆ Fp16Grid

using Fp16Grid = Grid<Fp16>

## ◆ Fp4Grid

using Fp4Grid = Grid<Fp4>

## ◆ Fp8Grid

using Fp8Grid = Grid<Fp8>

## ◆ FpNGrid

using FpNGrid = Grid<FpN>

## ◆ IndexGrid

using IndexGrid = Grid<ValueIndex>

## ◆ Int32Grid

using Int32Grid = Grid<int32_t>

## ◆ Int64Grid

using Int64Grid = Grid<int64_t>

## ◆ MaskGrid

using MaskGrid = Grid<ValueMask>

## ◆ OnIndexGrid

using OnIndexGrid = Grid<ValueOnIndex>

## ◆ UInt32Grid

using UInt32Grid = Grid<uint32_t>

## ◆ Vec3dGrid

using Vec3dGrid = Grid<Vec3d>

## ◆ Vec3fGrid

using Vec3fGrid = Grid<Vec3f>

## ◆ Vec4dGrid

using Vec4dGrid = Grid<Vec4d>

## ◆ Vec4fGrid

using Vec4fGrid = Grid<Vec4f>

## Function Documentation

## ◆ levelSetToFog()

template<typename NodeManagerT >

void levelSetToFog | ( | NodeManagerT & | mgr,
|  | bool | rebuild = `true`
| ) |  |

## ◆ sdfToLevelSet()

template<typename NodeManagerT >

enable_if< is_floating_point< typenameNodeManagerT::ValueType >::value >::type sdfToLevelSet | ( | NodeManagerT & | mgr | ) |